# Poco

# class RotateBySizeStrategy

Library: Foundation
Package: Logging
Header: Poco/RotateStrategy.h

## Description

The file is rotated when the log file exceeds a given size.

## Inheritance

Direct Base Classes: RotateStrategy

All Base Classes: RotateStrategy

## Member Summary

Member Functions: mustRotate

Inherited Functions: mustRotate

## Constructors

### RotateBySizeStrategy

RotateBySizeStrategy(
UInt64 size
);

## Destructor

### ~RotateBySizeStrategy

~RotateBySizeStrategy();

## Member Functions

### mustRotate

bool mustRotate(
LogFile * pFile
);

See also: Poco::RotateStrategy::mustRotate()